## heat 19.0.2

=== debian/changelog ===
heat (1:19.0.2-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New upstream point release (LP: #2054687).

 -- James Page <james.page@ubuntu.com>  Fri, 23 Feb 2024 08:45:02 +0000

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Loic Dachary (OuoU) <loic@debian.org>,
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Ghe Rivero <ghe.rivero@stackops.com>,
 Mehdi Abaakouk <sileht@sileht.net>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 bandit,
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-barbicanclient (>= 4.5.2),
 python3-blazarclient (>= 1.0.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-croniter (>= 0.3.4),
 python3-cryptography (>= 2.5),
 python3-ddt (>= 1.4.1),
 python3-debtcollector (>= 1.19.0),
 python3-designateclient (>= 2.7.0),
 python3-doc8,
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-gabbi (>= 1.35.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-greenlet (>= 0.4.10),
 python3-hacking,
 python3-heatclient (>= 1.10.0),
 python3-ironicclient (>= 2.8.0),
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-kombu (>= 5.0.1),
 python3-lxml (>= 4.5.0),
 python3-magnumclient (>= 2.3.0),
 python3-manilaclient (>= 1.16.0),
 python3-migrate (>= 0.13.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-monascaclient (>= 1.12.0),
 python3-mox3 (>= 0.20.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 1.14.0),
 python3-neutronclient (>= 1:7.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.8.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.28.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.0),
 python3-pastedeploy (>= 1.5.0),
 python3-psycopg2 (>= 2.7),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.8.0),
 python3-requests (>= 2.23.0),
 python3-routes (>= 2.3.1),
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:3.1.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 6.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-troveclient (>= 1:2.2.0),
 python3-tz (>= 2013.6),
 python3-vitrageclient (>= 2.7.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 python3-zaqarclient (>= 1.3.0),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat
Homepage: https://wiki.openstack.org/Heat
Testsuite: autopkgtest-pkg-python

Package: heat-api
Architecture: all
Depends:
 adduser,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends:
 adduser,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-engine
Architecture: all
Depends:
 adduser,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: python3-heat
Section: python
Architecture: all
Depends:
 heat-common (=${binary:Version}),
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-blazarclient (>= 1.0.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-croniter (>= 0.3.4),
 python3-cryptography (>= 2.5),
 python3-ddt (>= 1.4.1),
 python3-debtcollector (>= 1.19.0),
 python3-designateclient (>= 2.7.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-greenlet (>= 0.4.10),
 python3-heatclient (>= 1.10.0),
 python3-ironicclient (>= 2.8.0),
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-lxml (>= 4.5.0),
 python3-magnumclient (>= 2.3.0),
 python3-manilaclient (>= 1.16.0),
 python3-migrate (>= 0.13.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-monascaclient (>= 1.12.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 1.14.0),
 python3-neutronclient (>= 1:7.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.8.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstacksdk (>= 0.28.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.4.0),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 3.1.1),
 python3-pymysql,
 python3-requests (>= 2.23.0),
 python3-routes (>= 2.3.1),
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 0.3.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:3.1.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.1.0),
 python3-troveclient (>= 1:2.2.0),
 python3-tz (>= 2013.6),
 python3-vitrageclient (>= 2.7.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 python3-zaqarclient (>= 1.3.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - Python 3 files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python 3 libraries.

Package: heat-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME=heat

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=pybuild

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --serial --no-py2 '^(?!heat_integrationtests)'
endif

override_dh_clean:
	dh_clean
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log
	rm -rf pbr*.egg
	rm -f etc/heat/heat.conf
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_install:
	rm -rf $(CURDIR)/debian/python3-heat/usr/etc
	PYTHONPATH=$(CURDIR)/debian/python3-heat/usr/lib/python3/dist-packages \
		oslo-config-generator --config-file=config-generator.conf \
		--output-file etc/heat/heat.conf
	dh_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

#override_dh_installman:
#	python setup.py build
#	make -C doc man
#	dh_installman

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/heat/ openstack-heat-(19\.\d.*)\.tar\.gz

## heat 20.0.0

=== debian/changelog ===
heat (1:20.0.0-0ubuntu1.1~cloud0) jammy-antelope; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/2023.1 branch.

  [ Rodrigo Barbieri ]
  * d/p/lp2085409.patch: Fix wrongly
    passing "no_fixed_ips" to Neutron (LP: #2085409).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Dec 2024 12:50:07 +0000

heat (1:20.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:31:28 -0400

heat (1:19.0.0+git2023030211.2e7b666b-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Mar 2023 11:50:05 -0500

heat (1:19.0.0+git2023011009.b452ea70-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 09:46:22 -0500

=== debian/control ===
--- 
+++ 
@@ -71,7 +71,7 @@
  python3-oslo.db (>= 6.0.0),
  python3-oslo.i18n (>= 3.20.0),
  python3-oslo.log (>= 4.3.0),
- python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 3.7.0),
  python3-oslo.reports (>= 1.18.0),
@@ -94,7 +94,7 @@
  python3-six (>= 1.10.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-sphinxcontrib.httpdomain (>= 1.3.0),
- python3-sqlalchemy (>= 1.0.10),
+ python3-sqlalchemy (>= 1.4.0),
  python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:3.1.0),
  python3-swiftclient (>= 1:3.2.0),
@@ -204,7 +204,7 @@
  python3-oslo.db (>= 6.0.0),
  python3-oslo.i18n (>= 3.20.0),
  python3-oslo.log (>= 4.3.0),
- python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 3.7.0),
  python3-oslo.reports (>= 1.18.0),
@@ -222,7 +222,7 @@
  python3-saharaclient (>= 1.4.0),
  python3-senlinclient (>= 0.3.0),
  python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.0.10),
+ python3-sqlalchemy (>= 1.4.0),
  python3-stevedore (>= 1:3.1.0),
  python3-swiftclient (>= 1:3.2.0),
  python3-tenacity (>= 6.1.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/heat/ openstack-heat-(\d.*)\.tar\.gz

## heat 20.0.0+git2023071214.a4ac653e

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=3.1.1 # Apache-2.0
alembic>=1.8.0 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
ddt>=1.4.1 # MIT
croniter>=0.3.4 # MIT License
cryptography>=2.5 # BSD/Apache-2.0
debtcollector>=1.19.0  # Apache-2.0
eventlet!=0.18.3,!=0.20.1,!=0.21.0,!=0.23.0,!=0.25.0,>=0.18.2 # MIT
keystoneauth1>=3.18.0 # Apache-2.0
keystonemiddleware>=5.1.0 # Apache-2.0
lxml!=3.7.0,>=4.5.0 # BSD
netaddr>=0.7.18 # BSD
neutron-lib>=1.14.0  # Apache-2.0
openstacksdk>=0.28.0 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=6.0.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=3.7.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
aodhclient>=0.9.0 # Apache-2.0
packaging>=21.0 # Apache-2.0
python-barbicanclient>=4.5.2 # Apache-2.0
python-blazarclient>=1.0.1 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-ironicclient>=2.8.0  # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-magnumclient>=2.3.0 # Apache-2.0
python-manilaclient>=1.16.0 # Apache-2.0
python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
python-monascaclient>=1.12.0 # Apache-2.0
python-neutronclient>=7.7.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-octaviaclient>=1.8.0 # Apache-2.0
python-openstackclient>=3.12.0 # Apache-2.0
python-saharaclient>=1.4.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-troveclient>=2.2.0 # Apache-2.0
python-vitrageclient>=2.7.0 # Apache-2.0
python-zaqarclient>=1.3.0 # Apache-2.0
python-zunclient>=3.4.0 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=5.1 # MIT
requests>=2.23.0 # Apache-2.0
tenacity>=6.1.0 # Apache-2.0
Routes>=2.3.1 # MIT
SQLAlchemy>=1.4.0 # MIT
stevedore>=3.1.0 # Apache-2.0
WebOb>=1.7.1 # MIT
yaql>=1.1.3 # Apache 2.0 License

=== debian/changelog ===
heat (1:20.0.0+git2023071214.a4ac653e-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.
  * d/python3-heat.install: Drop installation of migrate.cfg
    inline with upstream legacy migration removal.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:12:22 -0400

## heat 20.0.1

=== debian/changelog ===
heat (1:20.0.1-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    The heat part that is using the S3 API needs to be modified to accept the
    fix for Keystone, otherwise S3 authentication will stop working.
    Applied upstream patch (Closes: #1120059):
    Keystone_requires_authentication_when_using_the__v3_ec3token_endpoint.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Tue, 04 Nov 2025 16:29:45 +0000

heat (1:20.0.1-1) UNRELEASED; urgency=medium

  * New upstream point release.
  * Add Fix_missing_extension_detection_capability_and_fix_arguments.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Nov 2024 14:32:32 +0100

heat (1:20.0.0-4) unstable; urgency=medium

  * Clean properly (Closes: #1044249).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 16:23:31 +0200

heat (1:20.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 14:48:21 +0200

heat (1:20.0.0-2) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 10:23:30 +0200

heat (1:20.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 13:32:41 +0100

heat (1:20.0.0~rc1-2) experimental; urgency=medium

  * Blacklist a number of unit tests currently broken after this commit:
    https://review.opendev.org/c/openstack/python-novaclient/+/806918
    - ServerInternalPortTest.test_server_update_image_rebuild_failed
    - ServerInternalPortTest.test_server_update_image_rebuild_status_active
    - ServerInternalPortTest.test_server_update_image_rebuild_status_active_keep_ephemeral
    - ServerInternalPortTest.test_server_update_image_rebuild_status_rebuild
    - ServerInternalPortTest.test_server_update_image_rebuild_status_rebuild_keep_ephemeral
    - ServerInternalPortTest.test_server_update_image_rebuild_with_new_password
    - ServersTest.test_server_update_image_rebuild_failed
    - ServersTest.test_server_update_image_rebuild_status_active
    - ServersTest.test_server_update_image_rebuild_status_active_keep_ephemeral
    - ServersTest.test_server_update_image_rebuild_status_rebuild
    - ServersTest.test_server_update_image_rebuild_status_rebuild_keep_ephemeral
    - ServersTest.test_server_update_image_rebuild_with_new_password

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Mar 2023 10:41:58 +0100

heat (1:20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bookworm.
  * Fixed (build-)depends for this release.
  * Removed lsb-base depends.
  * Switch to debhelper-compat = 11.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Mar 2023 13:40:05 +0100

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-aodhclient,
 python3-babel,
 python3-barbicanclient,
 python3-blazarclient,
 python3-cinderclient,
 python3-coverage,
 python3-croniter,
 python3-cryptography,
 python3-ddt,
 python3-debtcollector,
 python3-designateclient,
 python3-eventlet,
 python3-fixtures,
 python3-glanceclient,
 python3-ironicclient,
 python3-hacking,
 python3-heatclient,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kombu,
 python3-lxml,
 python3-magnumclient,
 python3-manilaclient,
 python3-migrate,
 python3-mistralclient,
 python3-monascaclient,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron-lib,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-os-api-ref,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pastedeploy,
 python3-psycopg2,
 python3-pygments,
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-saharaclient,
 python3-senlinclient,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-tempest,
 python3-tenacity,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-troveclient,
 python3-tz,
 python3-vitrageclient,
 python3-webob,
 python3-yaml,
 python3-yaql,
 python3-zaqarclient,
 python3-zunclient,
 subunit,
 tempest,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/heat
Vcs-Git: https://salsa.debian.org/openstack-team/services/heat.git
Homepage: http://wiki.openstack.org/Heat

Package: heat-api
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 python3-pastescript,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - API server
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 python3-pastescript,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-heat (=${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.

Package: heat-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack orchestration service - Documentation
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the documentation.

Package: heat-engine
Architecture: all
Depends:
 adduser,
 heat-common (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: python3-heat
Section: python
Architecture: all
Depends:
 python3-aodhclient,
 python3-babel,
 python3-barbicanclient,
 python3-blazarclient,
 python3-cinderclient,
 python3-croniter,
 python3-cryptography,
 python3-ddt,
 python3-debtcollector,
 python3-designateclient,
 python3-eventlet,
 python3-glanceclient,
 python3-greenlet,
 python3-heatclient,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-ironicclient,
 python3-lxml,
 python3-magnumclient,
 python3-manilaclient,
 python3-memcache,
 python3-migrate,
 python3-mistralclient,
 python3-monascaclient,
 python3-mysqldb,
 python3-netaddr,
 python3-neutron-lib,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-openstackclient,
 python3-openstacksdk,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-osprofiler,
 python3-pastedeploy,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-saharaclient,
 python3-senlinclient,
 python3-sqlalchemy,
 python3-stevedore,
 python3-swiftclient,
 python3-tenacity,
 python3-troveclient,
 python3-tz,
 python3-vitrageclient,
 python3-webob,
 python3-yaml,
 python3-yaql,
 python3-zaqarclient,
 python3-zunclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - Python files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf build
	rm -f doc/source/api/heat.* doc/source/api/modules.rst
	rm -rf heat.egg-info .testrepository
	rm -rf doc/build
	find . -iname '*.pyc' -delete
	rm -f run_tests.err.log
	rm -f \
		debian/heat-common.postinst \
		debian/heat-common.config
	rm -f debian/*.init debian/*.service debian/*.upstart debian/*.templates
	rm -f debian/heat-common.postinst debian/heat-common.config debian/heat-api.config debian/heat-api.postinst debian/heat-api-cfn.config debian/heat-api-cfn.postinst debian/heat-common.postrm

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cfn.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func heat-api-cfn.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm heat-common.postrm
	pkgos-merge-templates heat-api heat endpoint
	pkgos-merge-templates heat-api-cfn heat-api-cfn endpoint
	pkgos-merge-templates heat-common heat db rabbit ksat

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'heat\.tests\.(?!db\.test_migrations\.TestHeatMigrationsSQLite\.test_walk_versions|db\.test_migrations\.ModelsMigrationsSyncSQLite\.test_models_sync|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete_acquired_lock|engine\.service\.test_stack_delete\.StackDeleteTest\.test_stack_delete_acquired_lock_stop_timers|engine\.service\.test_stack_snapshot\.SnapshotServiceTest\.test_restore_snapshot|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_locked_resource_update_by_other_engine|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_locked_resource_update_by_same_engine|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_release_resource_lock|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_steal_resource_lock|db\.test_sqlalchemy_api\.DBAPIResourceUpdateTest\.test_unlocked_resource_update|.*openstack\.aodh\.test_alarm\.AodhAlarmTest\.test_mem_alarm_high_not_integer_parameters.*|.*test_properties\.PropertyTest\.test_int_bad.*|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_failed|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_active|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_active_keep_ephemeral|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_rebuild|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_status_rebuild_keep_ephemeral|openstack\.nova\.test_server\.ServerInternalPortTest\.test_server_update_image_rebuild_with_new_password|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_failed|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_active|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_active_keep_ephemeral|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_rebuild|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_status_rebuild_keep_ephemeral|openstack\.nova\.test_server\.ServersTest\.test_server_update_image_rebuild_with_new_password).*'

endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	mkdir -p $(CURDIR)/debian/heat-common/usr/share/heat-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--namespace heat.common.config \
		--namespace heat.common.context \
		--namespace heat.common.crypt \
		--namespace heat.engine.clients.os.keystone.heat_keystoneclient \
		--namespace heat.common.wsgi \
		--namespace heat.engine.clients \
		--namespace heat.engine.notification \
		--namespace heat.engine.resources \
		--namespace heat.api.aws.ec2token \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.messaging \
		--namespace oslo.middleware \
		--namespace oslo.cache \
		--namespace oslo.log \
		--namespace oslo.policy \
		--namespace oslo.reports \
		--namespace oslo.service.service \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.sslutil \
		--wrap-width 140 \
		--output-file $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf keystone_authtoken heat

	mkdir -p $(CURDIR)/debian/heat-common/etc/heat/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output $(CURDIR)/debian/heat-common/etc/heat/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace heat

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/heat-common/etc/heat/policy.d/00_default_policy.yaml

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf oslo_policy policy_dirs /etc/heat/policy.d

	sed -i 's|^[# \t]*connection[\t #]*=.*|connection=sqlite:////var/lib/heat/heatdb|' $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf
	# Fixup a few default for the [trustee] config
	pkgos-fix-config-default $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf trustee auth_type password
	pkgos-fix-config-default $(CURDIR)/debian/heat-common/usr/share/heat-common/heat.conf trustee user_domain_name default

	dh_install
	dh_missing -Xbin/cinder-keystone-setup --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/heat-doc/usr/share/doc/heat-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
#	sed -i 's|usr/bin/env python|usr/bin/env python3|' $(CURDIR)/debian/python3-heat/usr/lib/python3/dist-packages/heat_integrationtests/install-requirements

## heat 21.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# Requirements lower bounds listed here are our best effort to keep them up to
-# date but we do not test them so no guarantee of having them all correct. If
-# you find any incorrect lower bounds, let us know or propose a fix.
-
 pbr>=3.1.1 # Apache-2.0
 alembic>=1.8.0 # MIT
 Babel!=2.4.0,>=2.3.4 # BSD

=== debian/changelog ===
heat (1:21.0.0-0ubuntu2) mantic; urgency=medium

  * d/p/install-missing-db-files.patch: Install missing db files, including
    heat/db/alembic.ini.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Oct 2023 16:37:24 -0400

heat (1:21.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 08:54:21 -0400

heat (1:20.0.0+git2023090509.ccf4793a-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 09:18:32 -0400

=== debian/control ===
Source: heat
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Loic Dachary (OuoU) <loic@debian.org>,
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Ghe Rivero <ghe.rivero@stackops.com>,
 Mehdi Abaakouk <sileht@sileht.net>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 bandit,
 python3-alembic (>= 1.8.0),
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-barbicanclient (>= 4.5.2),
 python3-blazarclient (>= 1.0.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-croniter (>= 0.3.4),
 python3-cryptography (>= 2.5),
 python3-ddt (>= 1.4.1),
 python3-debtcollector (>= 1.19.0),
 python3-designateclient (>= 2.7.0),
 python3-doc8,
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-gabbi (>= 1.35.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-greenlet (>= 0.4.10),
 python3-hacking,
 python3-heatclient (>= 1.10.0),
 python3-ironicclient (>= 2.8.0),
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-kombu (>= 5.0.1),
 python3-lxml (>= 4.5.0),
 python3-magnumclient (>= 2.3.0),
 python3-manilaclient (>= 1.16.0),
 python3-migrate (>= 0.13.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-monascaclient (>= 1.12.0),
 python3-mox3 (>= 0.20.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 1.14.0),
 python3-neutronclient (>= 1:7.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.8.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.28.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.0),
 python3-pastedeploy (>= 1.5.0),
 python3-psycopg2 (>= 2.7),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.8.0),
 python3-requests (>= 2.23.0),
 python3-routes (>= 2.3.1),
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:3.1.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 6.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-troveclient (>= 1:2.2.0),
 python3-tz (>= 2013.6),
 python3-vitrageclient (>= 2.7.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 python3-zaqarclient (>= 1.3.0),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/heat
Homepage: https://wiki.openstack.org/Heat
Testsuite: autopkgtest-pkg-python

Package: heat-api
Architecture: all
Depends:
 adduser,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - ReST API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the ReST API.

Package: heat-api-cfn
Architecture: all
Depends:
 adduser,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - CFN API
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the CloudFormation (CFN) API.

Package: heat-engine
Architecture: all
Depends:
 adduser,
 python3-heat (=${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack orchestration service - engine
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the heat engine, which is the core service of heat, and
 which the API servers will use.

Package: python3-heat
Section: python
Architecture: all
Depends:
 heat-common (=${binary:Version}),
 python3-alembic (>= 1.8.0),
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-blazarclient (>= 1.0.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-croniter (>= 0.3.4),
 python3-cryptography (>= 2.5),
 python3-ddt (>= 1.4.1),
 python3-debtcollector (>= 1.19.0),
 python3-designateclient (>= 2.7.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-greenlet (>= 0.4.10),
 python3-heatclient (>= 1.10.0),
 python3-ironicclient (>= 2.8.0),
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-lxml (>= 4.5.0),
 python3-magnumclient (>= 2.3.0),
 python3-manilaclient (>= 1.16.0),
 python3-migrate (>= 0.13.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-monascaclient (>= 1.12.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron-lib (>= 1.14.0),
 python3-neutronclient (>= 1:7.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.8.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstacksdk (>= 0.28.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.4.0),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 3.1.1),
 python3-pymysql,
 python3-requests (>= 2.23.0),
 python3-routes (>= 2.3.1),
 python3-saharaclient (>= 1.4.0),
 python3-senlinclient (>= 0.3.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stevedore (>= 1:3.1.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.1.0),
 python3-troveclient (>= 1:2.2.0),
 python3-tz (>= 2013.6),
 python3-vitrageclient (>= 2.7.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 5.1),
 python3-yaql (>= 1.1.3),
 python3-zaqarclient (>= 1.3.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack orchestration service - Python 3 files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the Python 3 libraries.

Package: heat-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: OpenStack orchestration service - common files
 Heat is a service to orchestrate multiple composite cloud applications using
 templates, through both an OpenStack-native ReST API and a
 CloudFormation-compatible Query API.
 .
 This package contains the common files.
